Bug 223162 - Error trying to create a new fence device for a cluster node
Summary: Error trying to create a new fence device for a cluster node
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Ryan McCabe
QA Contact: Corey Marthaler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-18 03:01 UTC by Len DiMaggio
Modified: 2009-04-16 22:42 UTC (History)
5 users (show)

Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:36:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Selecting the action (129.16 KB, image/png)
2007-01-18 03:01 UTC, Len DiMaggio
no flags Details
The resulting error (118.49 KB, image/png)
2007-01-18 03:17 UTC, Len DiMaggio
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0640 normal SHIPPED_LIVE Moderate: conga security, bug fix, and enhancement update 2007-11-08 14:19:24 UTC

Description Len DiMaggio 2007-01-18 03:01:37 UTC
Description of problem:
Error trying to create a new fence device for a cluster node

Version-Release number of selected component (if applicable):
luci-0.8-29.el5
ricci-0.8-29.el5

How reproducible:
100%

Steps to Reproduce:
1. In a cluster with no fencing configured, select a node, and then select a
Main Fencing Method of "Create New Fence Device"
2. Then, update the fence properties 
3. The error listed below is raised.
  
Actual results:

Site error
This site encountered an error trying to fulfill your request. The errors were:
Error Type
    KeyError
Error Value
    'name'
Request made at
    2007/01/17 20:52:03.605 US/Central

Expected results:
No error

Additional info:
See the screen shots attached

Comment 1 Len DiMaggio 2007-01-18 03:01:37 UTC
Created attachment 145876 [details]
Selecting the action

Comment 2 Len DiMaggio 2007-01-18 03:17:57 UTC
Created attachment 145878 [details]
The resulting error

Comment 3 Ryan McCabe 2007-01-18 03:22:29 UTC
I've fixed this in both branches. I moved the priority down to low because in
order to hit this, you sort of have to be trying -- you have to either submit
nothing or submit a fence form with a blank name field.

If there's another build for RHEL5, it'll get in, but I don't think we should do
another build just to fix this.

Comment 4 Len DiMaggio 2007-01-18 04:00:38 UTC
I actually hit it by mistake - it wasn't clear to me how to create a new fence.
What does the user do after selecting 'create a new fence device?'

But - I agree it's not worth a build for just this bug - the problem can be
cleared by just pressing 'back' in the browser.

Comment 5 Ryan McCabe 2007-01-18 05:38:53 UTC
That option is meant to be a sectional divider. I guess that's not clear, so
I'll fix it. To add a new fence device, you simply select the type of fence
device you wish to add from the list under "Create a new fence device."

Comment 6 Len DiMaggio 2007-01-18 13:54:21 UTC
OK - now I get it - that explains the KeyError on 'name'!

Comment 7 Len DiMaggio 2007-01-23 15:15:56 UTC
Note: This problem is present in luci-0.8-29.el5

Comment 8 Kiersten (Kerri) Anderson 2007-04-23 17:01:53 UTC
Fixing Product Name.  Cluster Suite was merged into Enterprise Linux for version
5.0.

Comment 12 errata-xmlrpc 2007-11-07 15:36:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html



Note You need to log in before you can comment on or make changes to this bug.